/****************************************************************************
** Form interface generated from reading ui file 'gdForm.ui'
**
** Created: Wed Oct 18 13:51:58 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.2   edited Dec 19 11:45 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef GDFORM_H
#define GDFORM_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QPushButton;
class QCheckBox;
class QLabel;
class QButtonGroup;
class QRadioButton;

enum  InputType{iMy, iMx, iMach, iP, iT, iR, iP0,  iT0,  iR0, iPAR };

class gdForm : public QMainWindow
{
    Q_OBJECT

public:
    gdForm( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~gdForm();

    QPushButton* pushQuit;
    QCheckBox* isRangeBox;
    QCheckBox* isTexBox;
    QPushButton* calculateButton;
    QLabel* rangeNotice;
    QButtonGroup* outputGroup;
    QRadioButton* radioStandard;
    QRadioButton* radioMinimum;
    QRadioButton* radioMaximum;
    QButtonGroup* whatInputGroup;
    QRadioButton* radioP;
    QRadioButton* radioR;
    QRadioButton* radioFLD;
    QRadioButton* radioPAR;
    QRadioButton* radioT;
    QRadioButton* radioTheta;
    QRadioButton* radioP0;
    QRadioButton* radioMx;
    QRadioButton* radioT0;
    QRadioButton* radioAlpha;
    QRadioButton* radioMy;
    QRadioButton* radioMach;
    QRadioButton* radioR0;
    QRadioButton* radioDT;
    QButtonGroup* modelGroup;
    QRadioButton* radioOblique;
    QRadioButton* radioShock;
    QRadioButton* radioShockDynamics;
    QRadioButton* radiopm;
    QRadioButton* radioIsoNozzle;
    QRadioButton* radioisentropic;
    QRadioButton* radioIsothermal;
    QRadioButton* radioRayliegh;
    QRadioButton* radioFanno;
    QButtonGroup* whatShockDynamicsGroup;
    QRadioButton* suddenOpenRadio;
    QRadioButton* intoStillRadio;
    QRadioButton* PartiallyCloseRadio;
    QRadioButton* PartiallyOpenRadio;
    QButtonGroup* inputDataGroup;
    QMenuBar *menubar;
    QPopupMenu *fileMenu;
    QPopupMenu *helpMenu;
    QAction* fileNewAction;
    QAction* fileOpenAction;
    QAction* fileSaveAction;
    QAction* fileSaveAsAction;
    QAction* fileExitAction;
    QAction* helpContentsAction;
    QAction* helpIndexAction;
    QAction* helpAboutAction;

    virtual void clearInfoBox();

public slots:
    virtual void init();
    virtual void helpAbout();
    virtual void helpIndex();
    virtual void helpContents();
    virtual void clearRadio();
    virtual void setParameters();
    virtual void clearInputBoxs();
    virtual void setInput();
    virtual void calculate();
    virtual int LabelChanged();
    virtual void fileSave();
    virtual void fileSaveAs();
    virtual void fileOpen();
    virtual void save( QString FileName );
    virtual void removeInpossibleInput();
    virtual int canSave();
    virtual void valueChange( double k );
    virtual void Load();
    virtual void newValues();
    virtual void selectBranch();
    virtual void valueChange();
    virtual void setNotice( InputType whatInput );
    virtual void setNoticeIfNeeded();
    virtual void branchSelected();
    virtual void allowMaxOblique();
    virtual void setShockDynamics();
    virtual void clearShockDynamicsInput();
    virtual void setShockDynamicsInput();
    virtual void notImplementedYet();
    virtual void setInfoBoxs();
    virtual void newData();

signals:
    void newData(QString);

protected:

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;
    QPixmap image1;
    QPixmap image2;

};

#endif // GDFORM_H
